Update an exception list item
- Base URL
-
https://{kibana_url}
- PUT /api/exception_lists/items
Update an exception list item using the id or item_id field.
Authentication
Authorization: <value>
These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: Authorization: ApiKey base64AccessApiKey
Authorization: Basic <credentials>
Request body
Exception list item's properties
One of:-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
list_idstring · format: nonempty · min length: 1 -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion oneOf[] · min items: 1 -
Process hash, executable path, or code signature entries
- One of:
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion oneOf[] · min items: 1 -
Process hash, executable path, or code signature entries
- One of:
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion oneOf[] · min items: 1 -
Process hash or executable path entries (code signature not supported on Linux)
- One of:
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Exception entries for the trusted device (duplicate field entries are not allowed)
-
os_typesenum[] · min items: 1 · max items: 1 -
Must be Windows-only to allow username field
-
Values:
windows -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Exception entries for the trusted device (duplicate field entries are not allowed)
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Exception entries for the trusted device (duplicate field entries are not allowed, username not available when targeting both OS)
-
os_typesenum[] · min items: 2 · max items: 2 -
Must include both Windows and macOS (username field not allowed)
-
Values:
windowsmacos -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 · max items: 1 -
Exactly one entry allowed for host isolation exceptions
-
os_typesenum[] · min items: 3 · max items: 3 -
Must include all three operating systems (windows, linux, macos)
-
Values:
windowslinuxmacos -
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesunion oneOf[] · min items: 1 -
Validation rules:
- Hash entries: up to 3 (one for each hash type: md5, sha1, sha256)
- Path entry: only 1 allowed
- Code signature entry: only 1 allowed
- One of:
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Validation rules:
- Hash entries: up to 3 (one for each hash type: md5, sha1, sha256)
- Path entry: only 1 allowed
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
-
_versionstring -
The version ID, normally returned by the API when the item is retrieved. Use it to ensure updates are made against the latest version.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
namespace_typeenum -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
entriesobject[] · min items: 1 -
Validation rules:
- Hash entries: up to 3 (one for each hash type: md5, sha1, sha256)
- Path entry: only 1 allowed
-
tagsstring[] · default: [] -
Tags for categorization. Special tags for scope control:
"policy:all"- Global artifact (applies to all Elastic Defend policies)"policy:<policy_id>"- Private artifact (applies to specific Elastic Defend policy only, where<policy_id>is the Elastic Defend integration policy ID)
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
-
commentsobject[]required -
Array of comment fields:
- comment (string): Comments about the exception item.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1required -
Human readable string identifier, e.g.
trusted-linux-processes -
list_idstring · format: nonempty · min length: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
namespace_typeenumrequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Exception list item not found response